package com.qmth.themis.business.cache.bean;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 考生作答bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/4/27
 */
public class ExamRecordAnswerBean implements Serializable {

    @ApiModelProperty("大题号")
    private Integer mainNumber;

    @ApiModelProperty("小题号")
    private Integer subNumber;

    @ApiModelProperty("套题子题序号")
    private Integer subIndex;

    @ApiModelProperty(value = "分数")
    private Double score;

    @ApiModelProperty(value = "答案")
    private String answer;

    public ExamRecordAnswerBean() {

    }

    public ExamRecordAnswerBean(Integer mainNumber, Integer subNumber, Integer subIndex, Double score, String answer) {
        this.mainNumber = mainNumber;
        this.subNumber = subNumber;
        this.subIndex = subIndex;
        this.score = score;
        this.answer = answer;
    }

    public Integer getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(Integer mainNumber) {
        this.mainNumber = mainNumber;
    }

    public Integer getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(Integer subNumber) {
        this.subNumber = subNumber;
    }

    public Integer getSubIndex() {
        return subIndex;
    }

    public void setSubIndex(Integer subIndex) {
        this.subIndex = subIndex;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }
}
